#!usr/bin/env ruby
# -*- coding: utf-8 -*-

while true
  if Time.now.year == 2022
    puts "新年早々おみくじ。\nこれで今年の運勢決まんのやだな..."
    sleep(2)
    puts "いくぞ。"
    omikuzi = ["大吉","凶","凶","凶","凶","凶","凶","凶","凶","凶"]
    srand()
    mikuzi = rand(omikuzi.length)
    printf("%s",omikuzi[mikuzi])
  break
  else
    sleep(1)
    redo
  end
end
